Passkey Credential

The passkey credential resource.

Basehttps://rest.carbon.ms/passkeyCredential
GET/passkeyCredential

List passkey credentials

Retrieve a paginated list of passkey credentials. Filter, order, and select columns with PostgREST query parameters.

Query parameters

selectstring

Comma-separated columns to return. Defaults to all.

orderstring

Column to sort by, e.g. `createdAt.desc`.

limitinteger

Maximum rows to return.

offsetinteger

Rows to skip, for pagination.

GEThttps://rest.carbon.ms/passkeyCredential
curl --request GET \
  --url 'https://rest.carbon.ms/passkeyCredential?select=*&limit=10' \
  --header 'Authorization: Bearer <api-key>'
Response
[
  {
    "id": "abc123def456",
    "userId": "xyz789",
    "publicKey": "string",
    "counter": 10,
    "deviceType": "string",
    "backedUp": true,
    "aaguid": "xyz789",
    "rpId": "xyz789"
  }
]
GET/passkeyCredential

Retrieve a passkey credential

Fetch a single passkey credential by filtering on `id`.

Query parameters

idstring

Match on the passkey credential's `id`, e.g. `eq.{id}`.

GEThttps://rest.carbon.ms/passkeyCredential
curl --request GET \
  --url 'https://rest.carbon.ms/passkeyCredential?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
Response
{
  "id": "abc123def456",
  "userId": "xyz789",
  "publicKey": "string",
  "counter": 10,
  "deviceType": "string",
  "backedUp": true,
  "aaguid": "xyz789",
  "rpId": "xyz789"
}
POST/passkeyCredential

Create a passkey credential

Create a new passkey credential.

Body parameters

userIdstringrequired

References user.id

publicKeystringrequired
counternumberrequired
deviceTypestringrequired
backedUpbooleanrequired
transportsarray
aaguidstringrequired
rpIdstringrequired
userHandlestring
credentialNamestringrequired
lastUsedAttimestamp
POSThttps://rest.carbon.ms/passkeyCredential
curl --request POST \
  --url https://rest.carbon.ms/passkeyCredential \
  --header 'Authorization: Bearer <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'Prefer: return=representation' \
  --data '{"userId":"xyz789","publicKey":"string","counter":10,"deviceType":"string","backedUp":true,"aaguid":"xyz789","rpId":"xyz789","credentialName":"string"}'
Response
{
  "id": "abc123def456",
  "userId": "xyz789",
  "publicKey": "string",
  "counter": 10,
  "deviceType": "string",
  "backedUp": true,
  "aaguid": "xyz789",
  "rpId": "xyz789"
}
PATCH/passkeyCredential

Update a passkey credential

Update an existing passkey credential, matched on `id`.

Body parameters

userIdstringrequired

References user.id

publicKeystringrequired
counternumberrequired
deviceTypestringrequired
backedUpbooleanrequired
transportsarray
aaguidstringrequired
rpIdstringrequired
userHandlestring
credentialNamestringrequired
lastUsedAttimestamp
PATCHhttps://rest.carbon.ms/passkeyCredential
curl --request PATCH \
  --url 'https://rest.carbon.ms/passkeyCredential?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'Prefer: return=representation' \
  --data '{"userId":"xyz789"}'
Response
{
  "id": "abc123def456",
  "userId": "xyz789",
  "publicKey": "string",
  "counter": 10,
  "deviceType": "string",
  "backedUp": true,
  "aaguid": "xyz789",
  "rpId": "xyz789"
}
DELETE/passkeyCredential

Delete a passkey credential

Delete a passkey credential, matched on `id`. Returns 204 No Content.

Query parameters

idstring

The `id` of the passkey credential to delete, e.g. `eq.{id}`.

DELETEhttps://rest.carbon.ms/passkeyCredential
curl --request DELETE \
  --url 'https://rest.carbon.ms/passkeyCredential?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
204 No Content